# TIO_CH19_1.py
# Copyright Warren & Carter Sande, 2013
# Released under MIT license   http://www.opensource.org/licenses/mit-license.php
# Version $version  ----------------------------

# Odpowiedź do zadania praktycznego 1, z rozdziału 19.

# Gra w odgadywanie liczby z dodanymi dźwiękami

import random, pygame, sys
pygame.init()
pygame.mixer.init()
ekran = pygame.display.set_mode([200,100])  # tworzymy małe okno Pygame

ahoj = pygame.mixer.Sound("Ahoy.wav")
zaMala = pygame.mixer.Sound("TooLow.wav")
zaDuza = pygame.mixer.Sound("TooHigh.wav")
jakaLiczba = pygame.mixer.Sound("WhatsYerGuess.wav")
odgadles = pygame.mixer.Sound("AvastGotIt.wav")
koniec = pygame.mixer.Sound("NoMore.wav")

ahoj.set_volume(0.4)
zaMala.set_volume(0.4)
zaDuza.set_volume(0.4)
jakaLiczba.set_volume(0.4)
odgadles.set_volume(0.4)
koniec.set_volume(0.4)

sekret = random.randint(1, 100)     # wybieramy tajemne słowo
propozycja = 0
proba = 0

print "AHOJ! Jam jest pirat Roberts Straszliwy i mam dla Ciebie zagadkę!"
print "Jest nią tajemna liczba od 1 do 99. Na odgadnięcie jej masz 6 prób."
ahoj.play()
pygame.time.delay(8000)  # czekamy, aż dźwięk się zakończy odtwarzać

# Gracz ma do wykorzystania tylko 6 prób
uruchomiony = True
while uruchomiony:
    for zdarzenie in pygame.event.get():
        if zdarzenie.type == pygame.QUIT:
            uruchomiony = False

    while propozycja != sekret and proba < 6:
        jakaLiczba.play()
        propozycja = input("Jaka to liczba?") # Pobranie propozycji gracza
        if propozycja < sekret:
            print "Za mała, psubracie!"
            zaMala.play()
            pygame.time.delay(2200)   # czekamy, aż dźwięk się zakończy odtwarzać
        elif propozycja > sekret:
            print "Za duża, szczurze lądowy!"
            zaDuza.play()
            pygame.time.delay(1800)   # czekamy, aż dźwięk się zakończy odtwarzać
        proba = proba + 1 # Zwiększenie liczby prób

    # Wyświetlenie komunikatu na końcu rozgrywki
    if propozycja == sekret:
        print "Stop! Udało Ci się! Odgadłeś moją tajemną liczbę!"
        odgadles.play()
        pygame.time.delay(3200)   # czekamy, aż dźwięk się zakończy odtwarzać
        uruchomiony = False
    else:
        print "Wykorzystałeś wszystkie próby! Powodzenia następnym razem, koleżko!"
        print "Tajemna liczba to", sekret
        koniec.play()
        pygame.time.delay(3700)   # czekamy, aż dźwięk się zakończy odtwarzać
        uruchomiony = False
pygame.quit()
